curl --request POST \
--url https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Please review the second paragraph for accuracy."
}
'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments"
payload = { "content": "Please review the second paragraph for accuracy." }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"content\": \"Please review the second paragraph for accuracy.\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"Please review the second paragraph for accuracy.\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => 'Please review the second paragraph for accuracy.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'Please review the second paragraph for accuracy.'})
};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Create comment
Adds a new comment to a specific article.
Required scope: Enable one of: knowledge-base:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Please review the second paragraph for accuracy."
}
'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments"
payload = { "content": "Please review the second paragraph for accuracy." }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"content\": \"Please review the second paragraph for accuracy.\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"Please review the second paragraph for accuracy.\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => 'Please review the second paragraph for accuracy.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'Please review the second paragraph for accuracy.'})
};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Unique identifier of the article.
Body
Content of the comment.
1000"Please review the second paragraph for accuracy."
Response
Comment created successfully
Unique identifier of the comment.
"7c9e6679-7425-40de-944b-e07fc1f90ae7"